name: Sara Currie
locality:
country: Remote
role: <a href="/job-families/people-ops/recruiter/">Recruiter</a>
reports_to: urselak
picture: saracurrie.jpg
pronouns: she/her
pronunciation:
twitter:
linkedin: sara-currie
gitlab: scurrie
departments:
  - Talent Acquisition
specialty: Technical
expertise:
story: >
  Sara is a Texas native and has grown up in the DFW Metroplex. Currently residing in Arlington, she has spent most of her career in Recruiting and HR for various industries. On her off time, you can find her curled up with a good book when not chasing her toddler around. 

